Debian Bug report logs - #370343
make /etc/default/slapd automatically configurable

Package: src:openldap; Maintainer for src:openldap is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>;

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 18:04:01 UTC

Severity: wishlist

Tags: moreinfo

Merged with 370337

Blocking fix for 311188: debian-edu-config: Messes "programmatically" with conffiles of other packages

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#370343; Package openldap2. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make etc/ldap/ldap.conf automatically configurable
Date: Sun, 04 Jun 2006 20:00:36 +0200
[Message part 1 (text/plain, inline)]
Package: openldap2
Severity: wishlist

Hi

Automatically configuring etc/ldap/ldap.conf is not policy compliant for
the moment as one needs to edit a conffile.

A solution might be to include some file if it exists in the
configuration... or to ask some debconf questions...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#370343; Package openldap2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #16 received at 370343@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 370343@bugs.debian.org
Subject: set some default values?
Date: Sun, 13 Jan 2008 13:53:19 +0100
[Message part 1 (text/plain, inline)]
Hello Torsten

I'm one of the Debian-Edu Developers and we have since a long time a bug 
against debian-edu-config, since we modify some conffiles of other 
packages. 
As you know we'll have to modify /etc/ldap/ldap.conf. The values we need to 
change are:

SLAPD_SERVICES (we set it to: SLAPD_SERVICES="ldap:/// ldaps:///" )
and
SLAPD_OPTIONS (we set it to: SLAPD_OPTIONS="-4" )

would it be possible for you to include a patch from me /or from any other 
debian-edu developer in order to fix this? (or to set these values as 
default values?)

the patch would contain some debconf questions: 
1.) which services should be enabled: [textfield] to enter something like 
this: "ldap:///" or "ldaps:////" or "ldap:/// ldaps:///"
2.) which options should be passed to the slapd: [textfield]

Would you apply such a patch?
If yes I'll prepare one for you and submit it into this wishlist bug. 

Greetings
Patrick Winnertz

-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#370343; Package openldap2. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <t.landschoff@gmx.de>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #21 received at 370343@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <t.landschoff@gmx.de>
To: Patrick Winnertz <winnie@debian.org>, 370343@bugs.debian.org
Subject: Re: Bug#370343: set some default values?
Date: Sun, 13 Jan 2008 14:59:25 +0100
Hi Patrick, 

I am not really maintaining OpenLDAP for a while now. I got a new job
and relocated and did not spend much time on Debian lately.

On Sun, Jan 13, 2008 at 01:53:19PM +0100, Patrick Winnertz wrote:
> I'm one of the Debian-Edu Developers and we have since a long time a bug 
> against debian-edu-config, since we modify some conffiles of other 
> packages. 
> As you know we'll have to modify /etc/ldap/ldap.conf. The values we need to 
> change are:

You are talking about /etc/default/slapd, aren't you?

> SLAPD_SERVICES (we set it to: SLAPD_SERVICES="ldap:/// ldaps:///" )

Good question, currently we are serving just ldap:///. Enabling
ldaps:/// as well would make sense. OTOH we should discuss disabling 
external access by default.

> and
> SLAPD_OPTIONS (we set it to: SLAPD_OPTIONS="-4" )

Why disable IPv6 by default?

> would it be possible for you to include a patch from me /or from any other 
> debian-edu developer in order to fix this? (or to set these values as 
> default values?)

I feel it's not up to me to decide this giving that I have been largely
inactive for a while. Let's see what Steve, Russ and Matthijs have to
say about this.

> the patch would contain some debconf questions: 
> 1.) which services should be enabled: [textfield] to enter something like 
> this: "ldap:///" or "ldaps:////" or "ldap:/// ldaps:///"
> 2.) which options should be passed to the slapd: [textfield]
> 
> Would you apply such a patch?
> If yes I'll prepare one for you and submit it into this wishlist bug. 

I'd think that won't be a problem. It's the defaults that will probably
be different.

Greetings, Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#370343; Package openldap2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #26 received at 370343@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Torsten Landschoff <t.landschoff@gmx.de>
Cc: 370343@bugs.debian.org
Subject: Re: Bug#370343: set some default values?
Date: Sun, 13 Jan 2008 23:49:10 +0100
[Message part 1 (text/plain, inline)]
Hello,
> > As you know we'll have to modify /etc/ldap/ldap.conf. The values we
> > need to change are:
>
> You are talking about /etc/default/slapd, aren't you?
Mh... could be X-). I've looked only into the bug report and not into the 
openldap package until now.
>
> > SLAPD_SERVICES (we set it to: SLAPD_SERVICES="ldap:/// ldaps:///" )
>
> Good question, currently we are serving just ldap:///. Enabling
> ldaps:/// as well would make sense. OTOH we should discuss disabling
> external access by default.
Yes.. disabling by default would make sense.. But then I would expect 
debconf questions about ldap or ldaps. 
When I write the patch I'll set as default value nothing and it's possible 
to overwrite this via the debconf questions. 
>
> > and
> > SLAPD_OPTIONS (we set it to: SLAPD_OPTIONS="-4" )
>
> Why disable IPv6 by default?
Mh.. okay.. not such a good idea. I would suggest here a default value of 
nothing. (In order to use ipv4 and ipv6. ).

These two simply questions would help us a lot. :)

>
> > would it be possible for you to include a patch from me /or from any
> > other debian-edu developer in order to fix this? (or to set these
> > values as default values?)
>
> I feel it's not up to me to decide this giving that I have been largely
> inactive for a while. Let's see what Steve, Russ and Matthijs have to
> say about this.
Okay, so I'm looking forward for their answers :)

Greetings
Patrick


-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `openldap2' to `libldap2,libldap-2.4-2'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 10 Feb 2008 02:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package libldap2,libldap-2.4-2. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #33 received at 370343@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: control@bugs.debian.org
Cc: 370343@bugs.debian.org
Subject: reassign 370343 to slapd, retitle 370343 to make /etc/default/slapd automatically configurable
Date: Thu, 14 Feb 2008 18:15:23 -0800
# Automatically generated email from bts, devscripts version 2.10.13
# this is actually a slapd issue per the bug log
reassign 370343 slapd 
retitle 370343 make /etc/default/slapd automatically configurable





Bug reassigned from package `libldap2,libldap-2.4-2' to `slapd'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2008 02:18:03 GMT) Full text and rfc822 format available.

Changed Bug title to `make /etc/default/slapd automatically configurable' from `Make etc/ldap/ldap.conf automatically configurable'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2008 02:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 370343@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 370343@bugs.debian.org
Cc: control@bugs.debian.org, debian-edu@lists.debian.org
Subject: Worked out a patch in order to make default file preseedable
Date: Fri, 4 Apr 2008 17:19:36 +0200
[Message part 1 (text/plain, inline)]
tag 370343 + patch
thanks 

Hello openldap maintainers. 
During the Debian Edu worksession in Extremadura I've created a patch in 
order to preseed the default file of slapd. 
Please note that this bug is a blocker bug of our very long standing issue 
311188 which is sort of release critical.
So please consider to include the patch.

Thanks in advance

Greetings 
Winnie, in behalf of the Debian Edu Team
-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[slapd-preseed-patch.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Fri, 04 Apr 2008 15:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #49 received at 370343@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Patrick Winnertz <winnie@debian.org>, 370343@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: Re: Bug#370343: Worked out a patch in order to make default file preseedable
Date: Fri, 4 Apr 2008 17:20:35 -0700
tags 370343 -patch
thanks

On Fri, Apr 04, 2008 at 05:19:36PM +0200, Patrick Winnertz wrote:
> Hello openldap maintainers. 
> During the Debian Edu worksession in Extremadura I've created a patch in 
> order to preseed the default file of slapd. 
> Please note that this bug is a blocker bug of our very long standing issue 
> 311188 which is sort of release critical.
> So please consider to include the patch.

Sorry, nack on this patch in its current form.

- The postinst dynamically creates files under /usr/share.  State files like
  this should only ever be created under /var/lib.
- Why are you using a home-grown md5sum solution instead of using ucf?  For
  an effective use of ucf, please see the samba-common package in
  testing/unstable.
- Why does SLAPD_SERVICES need to be edited at all in your environment -
  what are the settings that you're preseeding, and wouldn't it be better to
  try to identify a sensible default for this file?  I don't think the
  current behavior of this file *is* a sensible default, because ldapi:///
  is missing; but ldap:/// ldapi:/// should be a sensible default IMHO,
  excluding ldaps:/// because TLS should be sufficient for the common
  case.  You do mention in the bug report that you specifically care about
  enabling ldaps:///, can you explain why this is needed in your
  environment?  What clients do you have that can't use TLS?
- Likewise, why do you need to override the location of slapd.conf, as
  opposed to fixing up the standard slapd.conf for your needs?  This wasn't
  even mentioned before now in your bug report.
- Oh, and making SLAPD_SERVICES a multiselect breaks things for those users
  who want to bind to specific IPs.
- Finally, assuming all of the above are resolved, the text of the debconf
  templates contains a number of English errors that would need to be
  addressed prior to inclusion.

I'm sympathetic to your desire to have the slapd package usable
out-of-the-box for your environment, but I think there needs to be a clearer
rationale for the particular changes you're proposing.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Tags removed: patch Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 00:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #56 received at 370343@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Steve Langasek <vorlon@debian.org>, 370343@bugs.debian.org, debian-edu@lists.debian.org
Subject: Re: Bug#370343: Worked out a patch in order to make default file preseedable
Date: Sat, 5 Apr 2008 12:06:38 +0200
[Message part 1 (text/plain, inline)]
> Sorry, nack on this patch in its current form.
>
> - The postinst dynamically creates files under /usr/share.  State files
> like this should only ever be created under /var/lib.
This is no problem.. I can change it fast today.

> - Why are you using a home-grown md5sum solution instead of using ucf? 
> For an effective use of ucf, please see the samba-common package in
> testing/unstable.
Okay, I'll do
> - Why does SLAPD_SERVICES need to be edited at all in your environment -
>   what are the settings that you're preseeding, and wouldn't it be
> better to try to identify a sensible default for this file?  I don't
> think the current behavior of this file *is* a sensible default, because
> ldapi:/// is missing; but ldap:/// ldapi:/// should be a sensible
> default IMHO, excluding ldaps:/// because TLS should be sufficient for
> the common case.  You do mention in the bug report that you specifically
> care about enabling ldaps:///, can you explain why this is needed in
> your environment?  What clients do you have that can't use TLS?
> - Likewise, why do you need to override the location of slapd.conf, as
>   opposed to fixing up the standard slapd.conf for your needs?  This
> wasn't even mentioned before now in your bug report.
We need to include some additional schemes for debian-edu which wouldn't 
make sense as default.
In order to have a look on our configuration file please have a look on: 
http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/etc/ldap/slapd-debian-edu.conf?op=file&rev=0&sc=0


> - Oh, and making SLAPD_SERVICES a multiselect breaks things for those
> users who want to bind to specific IPs.
Oh okay... this should be easy to solve with another debconf question and 
some sed magic. 

> I'm sympathetic to your desire to have the slapd package usable
> out-of-the-box for your environment, but I think there needs to be a
> clearer rationale for the particular changes you're proposing.
Okay, I'll try to fix these issues.

Greetings
Winnie



-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #61 received at 370343@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Steve Langasek <vorlon@debian.org>, 370343@bugs.debian.org
Subject: Re: Bug#370343: Worked out a patch in order to make default file preseedable
Date: Sat, 5 Apr 2008 13:22:56 +0200
[Message part 1 (text/plain, inline)]
Hi,

Steve, thanks for your helpful reply.

On Saturday 05 April 2008 02:20, Steve Langasek wrote:
> I don't think the 
> current behavior of this file *is* a sensible default, because ldapi:/// is
> missing; but ldap:/// ldapi:/// should be a sensible default IMHO,
> excluding ldaps:/// because TLS should be sufficient for the common case. 
> You do mention in the bug report that you specifically care about enabling
> ldaps:///, can you explain why this is needed in your
>   environment? 
>   What clients do you have that can't use TLS? 

I suspect this is for historic reasons, can someone who actually knows the 
history please confirm or deny this?!

If so, we should switch to ldap:/// today :-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #66 received at 370343@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Patrick Winnertz <winnie@debian.org>
Cc: 370343@bugs.debian.org, Steve Langasek <vorlon@debian.org>, debian-edu@lists.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#370343: Worked out a patch in order to make default file preseedable
Date: Sat, 05 Apr 2008 09:46:57 -0700
Patrick Winnertz <winnie@debian.org> writes:

> We need to include some additional schemes for debian-edu which wouldn't 
> make sense as default.
> In order to have a look on our configuration file please have a look on: 
> http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/etc/ldap/slapd-debian-edu.conf?op=file&rev=0&sc=0

#333428 would be the way to solve including additional schema, no?  It
seems like a lot less effort.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #71 received at 370343@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 370343@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: [Pkg-openldap-devel] Bug#370343: Worked out a patch in order to make default file preseedable
Date: Sat, 5 Apr 2008 18:58:47 +0200
[Message part 1 (text/plain, inline)]
On Saturday 05 April 2008 18:46:57 you wrote:
> Patrick Winnertz <winnie@debian.org> writes:
> > We need to include some additional schemes for debian-edu which
> > wouldn't make sense as default.
> > In order to have a look on our configuration file please have a look
> > on:
> > http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/etc/
> >ldap/slapd-debian-edu.conf?op=file&rev=0&sc=0
>
> #333428 would be the way to solve including additional schema, no?  It
> seems like a lot less effort.
For the additional schemas this wil be fine.. but as you might see we have 
also modified the other things in the file.. not just included additional 
schemas. So this would be in my eyes the only possibility to solve this 
issue.

Greetings
Winnie


-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `slapd' to `openldap2.3'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 23:06:20 GMT) Full text and rfc822 format available.

Merged 370337 370343. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 23:06:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package openldap2.3. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #80 received at 370343@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Undisclosed.Recipients: ;
Cc: 370343@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#370343: Worked out a patch in order to make default file preseedable
Date: Mon, 7 Apr 2008 16:47:53 +0200
[Message part 1 (text/plain, inline)]
Hi Russ,

On Saturday 05 April 2008 18:46, Russ Allbery wrote:
> #333428 would be the way to solve including additional schema, no?  It
> seems like a lot less effort.

Yes, but that bug is stalled since 2006 :-/

Also, this is not enough to fix this for us (as in #370343), because we also 
need to add "access to" entries to slapd.conf.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package openldap2.3. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #85 received at 370343@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 370343@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#370343: Bug#370343: Worked out a patch in order to make default file preseedable
Date: Mon, 07 Apr 2008 20:15:12 -0700
Holger Levsen <holger@layer-acht.org> writes:
> On Saturday 05 April 2008 18:46, Russ Allbery wrote:

>> #333428 would be the way to solve including additional schema, no?  It
>> seems like a lot less effort.

> Yes, but that bug is stalled since 2006 :-/

That's mostly because there are really no primary OpenLDAP package
maintainers (Steve will forgive me if he doesn't agree with this, but I'm
pretty sure he would), only people like Steve and I who care enough to be
secondary maintainers but only rarely have the time to do serious work and
other people who don't have any free time.

The package really needs more maintainers, and all other problems
essentially fall from there.

> Also, this is not enough to fix this for us (as in #370343), because we
> also need to add "access to" entries to slapd.conf.

As long as you only need to add new things, not change anything that's
there, a more general solution along the same lines should work, I think.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package openldap2.3. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #90 received at 370343@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370343@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#370343: Bug#370343: Worked out a patch in order to make default file preseedable
Date: Tue, 8 Apr 2008 17:35:11 +0200
[Message part 1 (text/plain, inline)]
Hi Russ,

On Tuesday 08 April 2008 05:15, you wrote:
> The package really needs more maintainers, and all other problems
> essentially fall from there.

/me nods. Did you consider more activly looking for new maintainer, like 
filing a RFH bug (can check atm..)? I guess you probably have, so I suggest 
blogging as well ;-)

> > Also, this is not enough to fix this for us (as in #370343), because we
> > also need to add "access to" entries to slapd.conf.
> As long as you only need to add new things, not change anything that's
> there, a more general solution along the same lines should work, I think.

We only add stuff, yes, so this would be excellent for us :-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package openldap2.3. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #95 received at 370343@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 370343@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#370343: Bug#370343: Bug#370343: Worked out a patch in order to make default file preseedable
Date: Tue, 08 Apr 2008 18:14:25 -0700
Holger Levsen <holger@layer-acht.org> writes:
> On Tuesday 08 April 2008 05:15, you wrote:

>> The package really needs more maintainers, and all other problems
>> essentially fall from there.

> /me nods. Did you consider more activly looking for new maintainer, like
> filing a RFH bug (can check atm..)? I guess you probably have, so I
> suggest blogging as well ;-)

Blogging (usefully) requires that my blog be syndicated on Planet Debian,
which requires me to deal with my weird blogging setup so that Planet
wouldn't get all of my (uncut) book reviews, which is waiting for me to
figure out what software I'm going to use so that I can get off of an
ancient Movable Type....

Too many things in my life are like that right now.  :)

I have not filed an RFH bug.  My perception, possibly incorrect, is that
such bugs are largely useless.  They seem to accumulate without limit, and
it's not at all clear to me that anyone really looks at them.  But it's
possible that I'm being too cynical about it.

I haven't done more obvious and simple things like post to debian-devel,
either.

Steve, do you have an opinion here?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Bug reassigned from package `openldap2.3' to `openldap2.3,openldap'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 07 Jul 2008 18:45:12 GMT) Full text and rfc822 format available.

Bug reassigned from package `openldap2.3,openldap' to `openldap'. Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Sat, 21 Mar 2009 15:45:07 GMT) Full text and rfc822 format available.

Bug reassigned from package `openldap' to `openldap'. Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Sat, 21 Mar 2009 15:45:08 GMT) Full text and rfc822 format available.

Bug reassigned from package `openldap' to `openldap2.3,openldap'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 21 Mar 2009 19:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#370343; Package openldap2.3,openldap. (Sat, 21 Mar 2009 21:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Rodrigues <gothicx@sapo.pt>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sat, 21 Mar 2009 21:39:16 GMT) Full text and rfc822 format available.

Message #108 received at 370343@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 453392@bugs.debian.org, 370337@bugs.debian.org, 370343@bugs.debian.org, 452834@bugs.debian.org, 358829@bugs.debian.org, control@bugs.debian.org, openldap@packages.debian.org
Subject: Reassigning bugs from openldap2.3 to openldap
Date: Sat, 21 Mar 2009 15:41:42 GMT
reassign 453392 openldap
reassign 370337 openldap
reassign 370343 openldap
reassign 452834 openldap
reassign 358829 openldap
thanks

The openldap2.3 package has been removed from Debian. We are reassigning 
its bugs to the openldap package. Please have a look at them, 
and close them if they don't apply to openldap anymore.

Don't hesitate to reply to this mail if you have any question.

Kind regards,
--
Marco Rodrigues




Added tag(s) moreinfo. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. (Sun, 08 Aug 2010 15:09:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'openldap2.3,openldap' to 'openldap'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 10 Aug 2010 09:45:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'openldap' to 'src:openldap'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 10 Aug 2010 18:03:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:15:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.